var Util = {
IsIE: !!document.all,
$: function(a) {
if (typeof a == 'string') {
try {
return document.getElementById(a)
} catch(err) {
return null
}
}
if (typeof a != 'undefined') {
return a
}
},
$$: function(a, b) {
if (typeof a == 'string') {
try {
return this.$(b).getElementsByTagName(a)
} catch(err) {
return null
}
} else {
return null
}
},
MaxSizeWindows: function() {
if (window.innerHeight) {
return {
"MaxWidth": window.innerWidth,
"MaxHeight": window.innerHeight
}
} else {
return {
"MaxWidth": document.body.clientWidth,
"MaxHeight": document.body.clientHeight
}
}
},
Dimensions: function(a) {
if (this.$(a).nodeName == "IMG") {
return {
"Width": this.$(a).width,
"Height": this.$(a).height
};
}
return {
"Width": this.$(a).offsetWidth,
"Height": this.$(a).offsetHeight
}
},
DimensionsMax: function(a, b, c, d) {
W_Src = a;
H_Src = b;
if (!c) {
c = 0
}
if (!d) {
d = 0
}
var e = 0;
if (c < W_Src) {
e = c / W_Src;
H = Math.round(H_Src * e);
W = Math.round(W_Src * (H / H_Src))
}
if (d < H_Src) {
e = d / H_Src;
W = Math.round(W_Src * e);
H = Math.round(H_Src * (W / W_Src))
}
if (e == 0) {
W = W_Src;
H = H_Src
}
return {
'Width': W,
'Height': H
}
},
getStyle: function(a, b) {
var c = /-(.)/g
if (this.isIe) {
b = b.replace(c, this.Caps);
var d = isNaN(parseInt(a.currentStyle[b])) ? 1 : parseInt(a.currentStyle[b]);
return (d)
} else {
return parseInt(document.defaultView.getComputedStyle(a, null).getPropertyValue(b))
}
},
Caps: function(a) {
var b = /-(.)/g
return a.replace(b, '$1').toUpperCase()
},
LoaderImg: function(a, c) {
var d = this;
this.verif = function(a, b) {
if (a.complete && (typeof(a.naturalWidth) != "undefined" || typeof(a.width)) && (a.naturalWidth != 0 || a.width != 0)) {
b();
return true
} else {
setTimeout(function() {
d.verif(a, b)
},
100)
}
};
this.verif(a, c)
},
easeInOutSine: function(t, b, c, d) {
return - c / 2 * (Math.cos(Math.PI * t / d) - 1) + b
},
bounce: function(t, b, c, d) {
if ((t /= d) < (1 / 2.75)) {
return c * (7.5625 * t * t) + b
} else if (t < (2 / 2.75)) {
return c * (7.5625 * (t -= (1.5 / 2.75)) * t + .75) + b
} else if (t < (2.5 / 2.75)) {
return c * (7.5625 * (t -= (2.25 / 2.75)) * t + .9375) + b
} else {
return c * (7.5625 * (t -= (2.625 / 2.75)) * t + .984375) + b
}
}
};
var Objet = {
Create: function(a) {
if (!a) {
var a = null
}
var b = a['typeElement'];
var c = a['classeCss'];
var d = a['style'];
var e = a['parent'] ? a['parent'] : null;
var f = a['insert'] == false ? false: true;
var g = a['position'];
var h = document.createElement(b);
if (c != null) {
h.className = c
}
if (f) {
if (e == null) {
if (g != null) {
if (typeof g == 'string') {
switch (g) {
case 'First':
document.body.insertBefore(h, document.body.firstChild);
break;
case 'Last':
document.body.appendChild(h);
break
}
}
} else {
document.body.appendChild(h)
}
} else {
if (typeof g == 'string') {
switch (g) {
case 'First':
e.insertBefore(h, e.firstChild);
break;
case 'Last':
e.appendChild(h);
break
}
} else {
e.appendChild(h)
}
}
}
if (d != null) {
if (Util.IsIE) {
h.style['cssText'] = d
} else {
h.setAttribute('style', d)
}
}
return h
},
Delete: function(b) {
try {
while (b.childNodes.length > 0) {
if (b.firstChild.childNodes.length > 0) {
this.Delete(b.firstChild)
} else {
var c = b.firstChild;
var a = c.attributes,
i, l, n;
if (a) {
l = a.length;
for (i = 0; i < l; i += 1) {
n = a[i].name;
if (typeof c[n] === 'function') {
c[n] = null
}
}
}
c = null;
b.removeChild(b.firstChild)
}
}
b.parentNode.removeChild(b);
return true
} catch(err) {
return false
}
},
AddEvent: function(a, b, c) {
try {
if (a.addEventListener) {
a.addEventListener(b, c, false)
} else if (a.attachEvent) {
a.attachEvent('on' + b, c)
}
return true
} catch(err) {
return false
}
},
RemoveEvent: function(a, b, c) {
try {
if (a.removeEventListener) {
a.removeEventListener(b, c, false)
} else if (a.attachEvent) {
a.detachEvent('on' + b, c)
}
return true
} catch(err) {
return false
}
}
};
var Open = {
parameters: null,
myObject: null,
startW: null,
startH: null,
endW: null,
endH: null,
callBack: null,
both: null,
center: null,
speed: null,
init: function(a) {
this.myObject = Util.$(a['element']);
this.startW = a['startWidth'];
this.startH = a['startHeight'];
this.endW = a['endWidth'];
this.endH = a['endHeight'];
this.callBack = a['callBack'];
this.both = (a['both'] != null) ? a['both'] : false;
this.center = (a['center'] != null) ? a['center'] : false;
this.speed = (a['speed'] != null) ? a['speed'] : 1500;
c = (1000 / 50);
d = Math.round(this.speed / c);
w = new Array();
for (var i = 1; i <= d; i++) {
w.push(Util.easeInOutSine(i * c, this.startW, this.endW - this.startW, this.speed))
}
h = new Array();
for (var i = 1; i <= d; i++) {
h.push(Util.easeInOutSine(i * c, this.startH, this.endH - this.startH, this.speed))
}
this.myObject.w = w;
this.myObject.h = h;
this.myObject.currentStepX = 0;
this.myObject.currentStepY = 0;
g = this;
this.go(g, c)
},
go: function(b, c) {
b.myObject.testTime = window.setInterval(function() {
var a = true;
if (b.myObject.w[b.myObject.currentStepX]) {
b.myObject.style['width'] = b.myObject.w[b.myObject.currentStepX] + 'px';
if (b.center) {
b.myObject.style['marginLeft'] = ( - (b.myObject.w[b.myObject.currentStepX] / 2)) + 'px'
}
b.myObject.currentStepX++;
a = false
}
if (b.myObject.h[b.myObject.currentStepY] && (a == true | b.both == true)) {
b.myObject.style['height'] = b.myObject.h[b.myObject.currentStepY] + 'px';
if (b.center) {
b.myObject.style['marginTop'] = ( - (b.myObject.h[b.myObject.currentStepY] / 2)) + 'px'
}
b.myObject.currentStepY++;
a = false
}
if (a) {
window.clearInterval(b.myObject.testTime);
b.myObject.testTime = null;
if (b.callBack) {
b.callBack()
}
return
}
},
c);
return b.myObject.testTime
}
};
function Fading() {
MyObj = null;
Timer = null;
start = null;
end = null;
IsIE = null
}
Fading.prototype.fade = function(a, b) {
if (a == b) {
return false
}
a >= b ? a -= 5 : a += 5;
this.IsIE ? this.MyObj.filters[0].opacity = a: this.MyObj.style.opacity = a / 100;
var c = this;
clearTimeout(c.timer);
if (a != b) {
c.timer = setTimeout(function() {
c.fade(a, b)
},
50)
} else {
clearTimeout(c.timer)
}
}
Fading.prototype.go = function(b, c) {
b.MyObj.testTime = window.setInterval(function() {
var a = true;
if (b.MyObj.w[b.MyObj.currentStep]) {
b.IsIE ? b.MyObj.filters[0].opacity = b.MyObj.w[b.MyObj.currentStep] : b.MyObj.style.opacity = b.MyObj.w[b.MyObj.currentStep] / 100;
a = false;
b.MyObj.currentStep++
}
if (a) {
window.clearInterval(b.MyObj.testTime);
b.MyObj.testTime = null;
if (b.callBack) {
b.callBack()
}
return
}
},
c);
return b.MyObj.testTime
}
Fading.prototype.init = function(a, b, c) {
this.MyObj = a;
this.start = b['start'];
this.end = b['end'];
this.callBack = (b['CallBack']);
	this.IsIE = !!document.all;
var e = this;
if (this.IsIE) {
this.MyObj.style.filter = 'alpha(opacity=' + this.start + ')';
this.MyObj.filters[0].opacity = this.start
} else {
this.MyObj.style.opacity = this.start / 100
}
c = (1000 / 50);
d = Math.round(150 / c);
w = new Array();
for (var i = 1; i <= d; i++) {
w.push(Util.easeInOutSine(i * c, this.start, this.end - this.start, 150))
}
e.MyObj.w = w;
this.MyObj.currentStep = 0;
e.go(e, c)
}